> ## Documentation Index
> Fetch the complete documentation index at: https://docs.avnu.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token Market Data

> Retrieve detailed market data for a specific token

## Overview

Returns comprehensive market data for a specific token including price, market cap, TVL, volume, price changes, and recent price history.

## Path Parameters

<ParamField path="tokenAddress" type="string" required>
  Token contract address (hex format)
</ParamField>

## Response

<ResponseField name="address" type="string" required>
  Token contract address (hex format)
</ResponseField>

<ResponseField name="name" type="string" required>
  Token name
</ResponseField>

<ResponseField name="symbol" type="string" required>
  Token symbol
</ResponseField>

<ResponseField name="decimals" type="integer" required>
  Token decimals
</ResponseField>

<ResponseField name="logoUri" type="string">
  Token logo URL (nullable)
</ResponseField>

<ResponseField name="verified" type="boolean" required>
  Whether the token is verified
</ResponseField>

<ResponseField name="coingeckoId" type="string">
  CoinGecko identifier (nullable)
</ResponseField>

<ResponseField name="tags" type="array" required>
  Token tags: `Unknown`, `Verified`, `Community`, `Unruggable`, `AVNU`
</ResponseField>

<ResponseField name="linePriceFeedInUsd" type="array" required>
  Recent price history for sparkline charts

  <Expandable title="DataPoint">
    <ResponseField name="date" type="string" required>
      ISO 8601 timestamp
    </ResponseField>

    <ResponseField name="value" type="number" required>
      Price in USD
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="starknet" type="object" required>
  Starknet-specific market data

  <Expandable title="StarknetMarket">
    <ResponseField name="usd" type="number" required>
      Current price in USD
    </ResponseField>

    <ResponseField name="usdTvl" type="number" required>
      Total Value Locked on Starknet in USD
    </ResponseField>

    <ResponseField name="usdPriceChange1h" type="number" required>
      Price change in last 1 hour (USD)
    </ResponseField>

    <ResponseField name="usdPriceChangePercentage1h" type="number">
      Price change percentage in last 1 hour (nullable)
    </ResponseField>

    <ResponseField name="usdPriceChange24h" type="number" required>
      Price change in last 24 hours (USD)
    </ResponseField>

    <ResponseField name="usdPriceChangePercentage24h" type="number">
      Price change percentage in last 24 hours (nullable)
    </ResponseField>

    <ResponseField name="usdPriceChange7d" type="number" required>
      Price change in last 7 days (USD)
    </ResponseField>

    <ResponseField name="usdPriceChangePercentage7d" type="number">
      Price change percentage in last 7 days (nullable)
    </ResponseField>

    <ResponseField name="usdVolume24h" type="number" required>
      24h volume on Starknet in USD
    </ResponseField>

    <ResponseField name="usdTradingVolume24h" type="number" required>
      24h trading volume on Starknet in USD
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="global" type="object">
  Global market data from external sources (nullable)

  <Expandable title="GlobalMarket">
    <ResponseField name="usd" type="number" required>
      Global price in USD
    </ResponseField>

    <ResponseField name="usdMarketCap" type="number" required>
      Market capitalization in USD
    </ResponseField>

    <ResponseField name="usdFdv" type="number" required>
      Fully diluted valuation in USD
    </ResponseField>

    <ResponseField name="usdMarketCapChange24h" type="number" required>
      Market cap change in 24h (USD)
    </ResponseField>

    <ResponseField name="usdMarketCapChangePercentage24h" type="number" required>
      Market cap change percentage in 24h
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://starknet.impulse.avnu.fi/v3/tokens/0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7"
  ```

  ```typescript TypeScript theme={null}
  const tokenAddress = '0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7';

  const response = await fetch(
    `https://starknet.impulse.avnu.fi/v3/tokens/${tokenAddress}`
  );

  const token = await response.json();

  console.log(`${token.symbol} Market Data:`);
  console.log(`  Price: $${token.starknet.usd}`);
  console.log(`  24h Change: ${token.starknet.usdPriceChangePercentage24h?.toFixed(2)}%`);
  console.log(`  Market Cap: $${(token.global?.usdMarketCap || 0).toLocaleString()}`);
  console.log(`  Starknet TVL: $${token.starknet.usdTvl.toLocaleString()}`);
  ```

  ```python Python theme={null}
  import requests

  token_address = '0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7'

  response = requests.get(
      f'https://starknet.impulse.avnu.fi/v3/tokens/{token_address}'
  )

  token = response.json()

  print(f"{token['symbol']} Market Data:")
  print(f"  Price: ${token['starknet']['usd']}")
  print(f"  24h Change: {token['starknet'].get('usdPriceChangePercentage24h', 0):.2f}%")
  print(f"  Market Cap: ${token['global']['usdMarketCap']:,.0f}" if token.get('global') else "  Market Cap: N/A")
  print(f"  Starknet TVL: ${token['starknet']['usdTvl']:,.0f}")
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "address": "0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7",
    "name": "Ether",
    "symbol": "ETH",
    "decimals": 18,
    "logoUri": "https://assets.avnu.fi/tokens/eth.svg",
    "verified": true,
    "coingeckoId": "ethereum",
    "tags": ["Verified"],
    "linePriceFeedInUsd": [
      { "date": "2024-02-13T00:00:00Z", "value": 2420.50 },
      { "date": "2024-02-14T00:00:00Z", "value": 2435.75 }
    ],
    "starknet": {
      "usd": 2435.75,
      "usdTvl": 45000000,
      "usdPriceChange1h": 5.25,
      "usdPriceChangePercentage1h": 0.22,
      "usdPriceChange24h": 45.50,
      "usdPriceChangePercentage24h": 1.90,
      "usdPriceChange7d": 120.30,
      "usdPriceChangePercentage7d": 5.20,
      "usdVolume24h": 12500000,
      "usdTradingVolume24h": 8500000
    },
    "global": {
      "usd": 2435.75,
      "usdMarketCap": 292500000000,
      "usdFdv": 292500000000,
      "usdMarketCapChange24h": 5400000000,
      "usdMarketCapChangePercentage24h": 1.88
    }
  }
  ```
</ResponseExample>
